clang-tools 8.0.0

Classes | Namespaces | Functions
MiscTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "DefinitionsInHeadersCheck.h"`
`#include "MisplacedConstCheck.h"`
`#include "NewDeleteOverloadsCheck.h"`
`#include "NonCopyableObjects.h"`
`#include "NonPrivateMemberVariablesInClassesCheck.h"`
`#include "RedundantExpressionCheck.h"`
`#include "StaticAssertCheck.h"`
`#include "ThrowByValueCatchByReferenceCheck.h"`
`#include "UnconventionalAssignOperatorCheck.h"`
`#include "UniqueptrResetReleaseCheck.h"`
`#include "UnusedAliasDeclsCheck.h"`
`#include "UnusedParametersCheck.h"`
`#include "UnusedUsingDeclsCheck.h"`
Include dependency graph for MiscTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::misc::MiscModule

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::misc

## Functions
static ClangTidyModuleRegistry::Add< misc::MiscModule > | clang::tidy::X ("misc-module", "Adds miscellaneous lint checks.")